vue

vue采用类似官方demo的方式集成,登陆后报错stropheConn.setJid is not a function

vue采用类似官方demo的方式集成,登陆后报错stropheConn.setJid is not a function
image.png image2.png
已邀请:

梁客

赞同来自:

同样问题,怎么解决的?

梁客

赞同来自:

解决了 修改了strophe.js的引用方式 说实话 我也不知道怎么解决的……
之前是在 index.html 中引入了

<script src="https://cdn.bootcss.com/stroph ... gt%3B


改为在入口处

import '../../utils/strophe-1.2.8'; 


另外 将 easemob-websdk 版本锁定在1.4.12,v1.5出现了莫名其妙的问题,干脆就锁定到demo使用的版本了(demo使用的是1.4.13?但是npm中v1.5以下的最高只到1.4.12)
 

要回复问题请先登录注册

知识价值的认可,源自您的赞赏

扫描二维码,你的支付将由imGeek代收后转给对方

×